# Data Fluent for PostgreSQL

[![Documentation Status](https://readthedocs.org/projects/datafluent/badge/?version=latest)](http://datafluent.readthedocs.io/en/latest/)
[![license](http://img.shields.io/badge/license-MIT-red.svg?style=flat)](http://opensource.org/licenses/MIT)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/datafluent.svg)](https://pypi.org/project/datafluent/)

Build a better understanding of your data in PostgreSQL.

The following shows an example report generated by this tool. It gives the numbers of rows, columns, bytes as well as human-friendly size counts for each table within a given PostgreSQL database.

![The Metrics Report](https://github.com/marklit/datafluent_pg/raw/main/example.png)

The following shows the row count for every column that represents a date grouped by year and month.

![The Time Distribution Report](https://github.com/marklit/datafluent_pg/raw/main/example2.png)

## Installation and Usage

Please read [this guide](https://tech.marksblogg.com/data-fluent-for-postgresql.html) for installation instructions and example usage.

## Further Help

The database URL is passed through to sqlalchemy. Please see their documentation on [Database URLs](https://docs.sqlalchemy.org/en/14/core/engines.html#database-urls) for more information on their syntax and the drivers supported.

If you need to override any parameters in this application, please refer to the help documentation generated by typer:

```bash
$ datafluent --help
```

```
Usage: datafluent [OPTIONS]

Options:
  --url TEXT                      [default: postgresql://localhost:5432/intel]
  --output TEXT                   [default: fluency.xlsx]
  --install-completion [bash|zsh|fish|powershell|pwsh]
                                  Install completion for the specified shell.
  --show-completion [bash|zsh|fish|powershell|pwsh]
                                  Show completion for the specified shell, to
                                  copy it or customize the installation.

  --help                          Show this message and exit.
```